package com.sheep.gamegroup.model.entity;

/**
 * created on：2018/9/4 on 10:54
 * created by: YSL
 * 描述:
 */
public class PictureInvitationEntity {

    /**
     * click_count : 0
     * created_at : string
     * flag : string
     * id : 0
     * link : string
     * name : string
     * picture : string
     * register_count : 0
     * remark : string
     * share_count : 0
     * status : 0
     * type : 0
     * updated_at : string
     */
    /**
     * 点击数量
     */
    private int click_count;
    /**
     *
     */
    private String created_at;
    /**
     * 唯一code
     */
    private String flag;
    private int id;
    /**
     * 推广的二维码链接
     */
    private String link;
    private String name;
    /**
     * 二维码背景图片
     */
    private String picture;
    /**
     * 注册数量
     */
    private int register_count;
    /**
     * 备注
     */
    private String remark;
    /**
     * 分享数量
     */
    private int share_count;
    /**
     * 1：开启 2：关闭
     */
    private int status;
    /**
     * 1:APP推广 2：广告商
     */
    private int type;
    private String updated_at;

    public int getClick_count() {
        return click_count;
    }

    public void setClick_count(int click_count) {
        this.click_count = click_count;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public int getRegister_count() {
        return register_count;
    }

    public void setRegister_count(int register_count) {
        this.register_count = register_count;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getShare_count() {
        return share_count;
    }

    public void setShare_count(int share_count) {
        this.share_count = share_count;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }










    private boolean isLoaded;

    public boolean isLoaded() {
        return isLoaded;
    }

    public void setLoaded(boolean loaded) {
        isLoaded = loaded;
    }
}
